..      Wenn xyBDefaultIni bereits definiert wurde, dann wurde die DEFAULT.INI bereits aufgerufen.
..      Da ein erneutes Aufrufen nicht sinnvoll ist, wird das Programm direkt wieder verlassen.
..
.WEITER         ? F|defined(T|xyBDefaultIni)
..
.SETZE trans -
.WEITER DECLARE
..=============================================================================
..== Name             : DEFAULT.INI
..==
..== Funktion         : Immer wiederkehrende Variablen definieren
..==
..== Erstellungsdatum : 01.10.97
..==
..== Autor            : ABAS Projektierung Rhein-Main GmbH
..==
..== Besonderheiten   :
..==
..==
..== nderungshistorie:
..==
..==
..==
..=============================================================================
..
!DECLARE:=============== Variablen declarieren ================================
..
.ART integer    xbaseframe      ? _F|defined(T|xbaseframe)
.ART text       xCallerName     ? _F|defined(T|xCallerName)
.ART bool       xyLader         ? _F|defined(T|xyLader)
.ART bool       xyService       ? _F|defined(T|xyService)
.ART text       xyKanal         ? _F|defined(T|xyKanal)
.ART text       xTmpArb         ? _F|defined(T|xTmpArb)
.ART text       xyTmpArb        ? _F|defined(T|xyTmpArb)
.ART text       xySeite1        ? _F|defined(T|xySeite1)
.ART text       xySeite2        ? _F|defined(T|xySeite2)
.ART text       tname           ? _F|defined(T|tname)
.ART text       xarb            ? _F|defined(T|xarb)
.ART text       xTArb           ? _F|defined(T|xTArb)
.ART bool       xyBMitEdi       ? _F|defined(T|xyBMitEdi)
.ART integer    xyIAblage       ? _F|defined(T|xyIAblage)
.ART bool       xyBDefaultIni   ? _F|defined(T|xyBDefaultIni)
.ART text       xyTTrenner      ? _F|defined(T|xyTTrenner)
..
..      Fremdsprachen
.ART text       U|xyTKommdFertig        ? _F|defined(U|xyTKommdFertig)
.ART text       U|xyTKommdNeu           ? _F|defined(U|xyTKommdNeu)
.ART text       U|xyTKommdFreig         ? _F|defined(U|xyTKommdFreig)
.ART text       U|xyTKommdLief          ? _F|defined(U|xyTKommdLief)
.ART text       U|xyTKommdRech          ? _F|defined(U|xyTKommdRech)
.ART text       U|xyTKommdZahl          ? _F|defined(U|xyTKommdZahl)
.ART text       U|xyTKommdStrono        ? _F|defined(U|xyTKommdStrono)
.ART text       U|xyTKommdKalk          ? _F|defined(U|xyTKommdKalk)
.ART text       U|xyTKommdbertr        ? _F|defined(U|xyTKommdbertr)
.ART text       U|xyTKommdLschen       ? _F|defined(U|xyTKommdLschen)
.ART text       U|xyTKommdVerweis       ? _F|defined(U|xyTKommdVerweis)
.ART text       U|xyTKommdZeigen        ? _F|defined(U|xyTKommdZeigen)
.ART text       U|xyTKommdndern        ? _F|defined(U|xyTKommdndern)
.ART text       U|xyTKommdNeu           ? _F|defined(U|xyTKommdNeu)
.ART text       U|xyTKommdWhlen        ? _F|defined(U|xyTKommdWhlen)
.ART text       U|xyTKommdAbbruch       ? _F|defined(U|xyTKommdAbbruch)
.ART text       U|xyTKommdKopieren      ? _F|defined(U|xyTKommdKopieren)
.ART text       U|xyTKommdLeer          ? _F|defined(U|xyTKommdLeer)
.ART text       U|xyTKommdModi          ? _F|defined(U|xyTKommdModi)
.ART text       U|xyTKommdMaskEin       ? _F|defined(U|xyTKommdMaskEin)
.ART text       U|xyTKommdMaskAus       ? _F|defined(U|xyTKommdMaskAus)
.ART text       U|xyTKommdMaskEnde      ? _F|defined(U|xyTKommdMaskEnde)
.ART text       U|xyTKommdMaskPrf      ? _F|defined(U|xyTKommdMaskPrf)
.ART text       U|xyTKommdMaskAbbr      ? _F|defined(U|xyTKommdMaskAbbr)
.ART text       U|xyTKommdWorkflow      ? _F|defined(U|xyTKommdWorkflow)
.ART text       U|xyTKommdFF            ? _F|defined(U|xyTKommdFF)
.ART text       U|xyTKommdFP            ? _F|defined(U|xyTKommdFP)
.ART text       U|xyTKommdFA            ? _F|defined(U|xyTKommdFA)
.ART text       U|xyTKommdFT            ? _F|defined(U|xyTKommdFT)
.ART text       U|xyTKommdZLV           ? _F|defined(U|xyTKommdZLV)
.ART text       U|xyTKommdZLN           ? _F|defined(U|xyTKommdZLN)
.ART text       U|xyTKommdZEV           ? _F|defined(U|xyTKommdZEV)
.ART text       U|xyTKommdZEN           ? _F|defined(U|xyTKommdZEN)
.ART text       U|xyTKommdZMark         ? _F|defined(U|xyTKommdZMark)
.ART text       U|xyTKommdZBewN         ? _F|defined(U|xyTKommdZBewN)
.ART text       U|xyTKommdZBewV         ? _F|defined(U|xyTKommdZBewV)
.ART text       U|xyTKommdBV            ? _F|defined(U|xyTKommdBV)
.ART text       U|xyTKommdBN            ? _F|defined(U|xyTKommdBN)
.ART text       U|xyTKommdNoEvent       ? _F|defined(U|xyTKommdNoEvent)
..
.SETZE trans +
.. 
.FORMEL   U|xyTKommdFertig      = "fertig"
.FORMEL   U|xyTKommdNeu         = "hole"       
.FORMEL   U|xyTKommdFreig       = "freigeben"  
.FORMEL   U|xyTKommdLief        = "Lieferung"  
.FORMEL   U|xyTKommdRech        = "Rechnung"   
.FORMEL   U|xyTKommdZahl        = "Zahlung"    
.FORMEL   U|xyTKommdStrono      = "Storno"     
.FORMEL   U|xyTKommdKalk        = "kalkulieren"
.FORMEL   U|xyTKommdbertr      = "bertragen" 
.FORMEL   U|xyTKommdLschen     = "lschen"    
.FORMEL   U|xyTKommdVerweis     = "Verweis"    
.FORMEL   U|xyTKommdZeigen      = "zeigen"     
.FORMEL   U|xyTKommdndern      = "ndern"     
.FORMEL   U|xyTKommdNeu         = "neu"        
.FORMEL   U|xyTKommdWhlen      = "whlen"     
.FORMEL   U|xyTKommdAbbruch     = "Abbruch"    
.FORMEL   U|xyTKommdKopieren    = "kopieren"   
.FORMEL   U|xyTKommdLeer        = "leer"       
.FORMEL   U|xyTKommdModi        = "modifizieren"
.FORMEL   U|xyTKommdMaskEin     = "maskein"
.FORMEL   U|xyTKommdMaskAus     = "maskaus"
.FORMEL   U|xyTKommdMaskEnde    = "maskende"
.FORMEL   U|xyTKommdMaskPrf    = "maskpruef"
.FORMEL   U|xyTKommdMaskAbbr    = "maskabbr"
.FORMEL   U|xyTKommdWorkflow    = "workflow"
.FORMEL   U|xyTKommdFF          = "feldfuell" 
.FORMEL   U|xyTKommdFP          = "feldpruef"
.FORMEL   U|xyTKommdFA          = "feldaus"
.FORMEL   U|xyTKommdFT          = "fkttaste"
.FORMEL   U|xyTKommdZLV         = "zeileloevor"
.FORMEL   U|xyTKommdZLN         = "zeileloenach"
.FORMEL   U|xyTKommdZEV         = "zeileeinvor"
.FORMEL   U|xyTKommdZEN         = "zeileeinnach"
.FORMEL   U|xyTKommdZMark       = "zeilemark"
.FORMEL   U|xyTKommdZBewN       = "zeilebewnach"
.FORMEL   U|xyTKommdZBewV       = "zeilebewvor"
.FORMEL   U|xyTKommdBV          = "buttonvor"
.FORMEL   U|xyTKommdBN          = "buttonnach"
.FORMEL   U|xyTKommdNoEvent     = "noevent"
..
.SETZE trans -
..
..
!INIT:================== Variablen initialisieren =============================
..
.FORMEL   T|xbaseframe  = 1
.. Kanalnummer
.FORMEL   T|xyKanal     = T|KANAL
.. tmp-Verzeichnis
.FORMEL   T|xtmparb     = "tmp/"
.FORMEL   T|xyTmpArb    = T|xtmparb
.. Lader aktiv?
.FORMEL   T|xyLader     = T|false
.. Service-Flag
.FORMEL   T|xyService   = T|false
.. Ersetzungszeichen fr Seiten xx von yy - Muá in printlpr.sh nachbearbeitet werden.
.FORMEL   T|xySeite1    = ""
.FORMEL   T|xySeite2    = ""
.. Ist EDI eingeschaltet?
.FORMEL   T|xyBMitEdi   = T|false
.. Ablagenprfung (1 = Text; 2 = Bool)     
.FORMEL   T|xyIAblage   = 2
..      Trenner
.FORMEL   T|xyTTrenner = "³"
..
!MAIN:================== Begin des Programmes =================================
..
.FORMEL   T|xyLader = T|true  ? (T|EBENE = 1) & (T|PID <> T|xyKanal)
..
..      Service nur auáerhalb des Laders
.FORMEL   T|xyService = T|true ? (-bzeich / "*ABAS*") & _T|xyLader & _T|EDP
.FORMEL   T|xyService = T|true ? (-bzeich / "*FBRACKE*") & _T|xyLader & _T|EDP
..
.. Datei- und Verzeichnisname ermitteln
.FORMEL   T|xbaseframe  = T|baseframe ? defined(T|baseframe)
.FORMEL   T|xCallerName = T|stackframe.xbaseframe
.. Sprachverzeichnis (bspr) ggf. abschneiden
.FORMEL   T|xCallerName = (T|xCallerName >> "/") ? (T|xCallerName / "?\/*")
.WEITER VERZEICH         ? T|xCallerName / "*\/*"
..
.FORMEL   T|tname = T|xCallerName
.FORMEL   T|xarb  = ""
.FORMEL   T|xTArb = T|xarb
.WEITER
..
!VERZEICH: =====Text liegt in einem Unterverzeichnis===========================
..
.FORMEL   T|tname = T|xCallerName >$ "/"
.FORMEL   T|xarb  = T|xCallerName << T|tname
.FORMEL   T|xTArb = T|xarb
.WEITER
